Loading...
Searching...
No Matches
python configuration database

Python access to the configuration data. More...

## Files

file | database.py
| Read-only configuration database.

## Classes

class | lirc.database.ItemLookupError
| A lookup failed, either too namy or no matches found. More...
class | lirc.database.Config
| The configuration selected, and it's sources. More...
class | lirc.database.Database
| Reflects the *.yaml files in the configs/ directory. More...

## Functions

| lirc.database._here (path)
| Return path added to current dir for file.
| lirc.database._load_kerneldrivers (configdir)
| Parse the kerneldrivers.yaml file, discard unavailable drivers.

## Variables

str | lirc.database._YAML_MSG

## Detailed Description

Python access to the configuration data.

The database is loaded from some YAML files:

- kernel-drivers.yaml: Static Info on the kernel drivers. Availability of these drivers is checked in runtime before being imported into db.
- drivers.yaml, Info on the userspace drivers, collected from their compiled information by configs/Makefile using lirc-lsplugins(1).
- confs_by_driver.yaml: Mapping of drivers -> suggested remote files, created by configs/Makefile using irdb-get.

The directory used to load these files is (first match used):

- Current directory
- The 'configs' dir.
- The ../../configs

Although python cannot guarantee this, the database is designed as a read-only structure.

A simple usage examples is doc/data2table. The lirc-setup script provides a more elaborated example. Data structures are basically documented in the yaml files.

## Function Documentation

## _here()

lirc.database._here | ( |  | path | ) |

protected

Return path added to current dir for file.

Definition at line 68 of file database.py.

## _load_kerneldrivers()

lirc.database._load_kerneldrivers | ( |  | configdir | ) |

protected

Parse the kerneldrivers.yaml file, discard unavailable drivers.

Definition at line 77 of file database.py.

## Variable Documentation

## _YAML_MSG

str lirc.database._YAML_MSG

protected

Definition at line 55 of file database.py.